﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCNFEP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCNFEP_CONTRACT_INFO' AND KSQL_COL_NAME ='FRECORDNUMBER') 
 ALTER TABLE T_TCNFEP_CONTRACT_INFO ADD (FRECORDNUMBER VARCHAR(200) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCNFEP_EXT_PAYMENT_ACC' AND KSQL_COL_NAME ='FRECORDNUMBER') 
 ALTER TABLE T_TCNFEP_EXT_PAYMENT_ACC ADD (FRECORDNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCNFEP_EXT_RECORD') 
 CREATE TABLE T_TCNFEP_EXT_RECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FRECORDNUMBER VARCHAR(200) DEFAULT ' ' NOT NULL,
FCONTRACT BIGINT DEFAULT 0 NOT NULL,
FUNIFIEDSOCIALCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FADDRESS VARCHAR(50) DEFAULT ' ' NOT NULL,
FBANKNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FBANKACCT VARCHAR(50) DEFAULT ' ' NOT NULL,
FACCNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FADMINDIVISIONFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FBANKBRANCH VARCHAR(200) DEFAULT ' ' NOT NULL,
FPAYEETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYEENAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYEEADDRESS VARCHAR(300) DEFAULT ' ' NOT NULL,
FCOLLECTIONBANK VARCHAR(500) DEFAULT ' ' NOT NULL,
FCOLLECTIONACCOUNT VARCHAR(500) DEFAULT ' ' NOT NULL,
FCOUNTRY VARCHAR(50) DEFAULT ' ' NOT NULL,
FCORRELATION CHAR(1) DEFAULT '0' NOT NULL,
FPAYEEREMARK VARCHAR(300) DEFAULT ' ' NOT NULL,
FCONTRACTNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FQDHTRQ DATETIME,
FPROTOCOLNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROTOCOLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FHTZXQSRQ DATETIME,
FHTZXZZRQ DATETIME,
FCONTRACTREMARK VARCHAR(300) DEFAULT ' ' NOT NULL,
FCONTRACTCURRENCY BIGINT DEFAULT 0 NOT NULL,
FCONTRACTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTPAYMENTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYMENTCURRENCY BIGINT DEFAULT 0 NOT NULL,
FPAYDATE DATETIME,
FPAYMENTREMARK VARCHAR(300) DEFAULT ' ' NOT NULL,
FPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDOCUMENTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FIDNUMBER VARCHAR(200) DEFAULT ' ' NOT NULL,
FUSERFIELD BIGINT DEFAULT 0 NOT NULL,
FPAYERREMARK VARCHAR(300) DEFAULT ' ' NOT NULL
);






/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCNFEP_table.sql **/
