﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCNFEP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCNFEP_CONTRACT_FKJH') 
 CREATE TABLE T_TCNFEP_CONTRACT_FKJH (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFKBL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFKJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHTYDFKRQ DATETIME,
FJHFKRQ DATETIME,
FREMARK VARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCNFEP_CONTRACT_HTFB') 
 CREATE TABLE T_TCNFEP_CONTRACT_HTFB (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFBSMC BIGINT DEFAULT 0 NOT NULL,
FFBGCXM VARCHAR(200) DEFAULT ' ' NOT NULL,
FFBBB BIGINT DEFAULT 0 NOT NULL,
FFBJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFBHTZH VARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCNFEP_CONTRACT_HTZB') 
 CREATE TABLE T_TCNFEP_CONTRACT_HTZB (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FZBSMC BIGINT DEFAULT 0 NOT NULL,
FZBBB BIGINT DEFAULT 0 NOT NULL,
FZBJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZBHTZH VARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCNFEP_CONTRACT_INFO') 
 CREATE TABLE T_TCNFEP_CONTRACT_INFO (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FCONTRACTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPEYEENAME BIGINT DEFAULT 0 NOT NULL,
FPAYEECOUNTRY BIGINT DEFAULT 0 NOT NULL,
FPROJECTNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FINCOMEITEMS BIGINT DEFAULT 0 NOT NULL,
FXDINCOMEITEMS BIGINT DEFAULT 0 NOT NULL,
FREMARK VARCHAR(200) DEFAULT ' ' NOT NULL,
FSFQBJWLW CHAR(1) DEFAULT '0' NOT NULL,
FZYHLWDD VARCHAR(50) DEFAULT ' ' NOT NULL,
FZHZYHLWRS BIGINT DEFAULT 0 NOT NULL,
FQDHTRQ DATETIME,
FHTZXQSRQ DATETIME,
FHTZXZZRQ DATETIME,
FCONTRACTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTRACTCURRENCY BIGINT DEFAULT 0 NOT NULL,
FHTJESFHS CHAR(1) DEFAULT '0' NOT NULL,
FTAXTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSFYJNQYCDSK CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCNFEP_CONTRACT_XMLX') 
 CREATE TABLE T_TCNFEP_CONTRACT_XMLX (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCNFEP_table.sql **/
